Bug 168000 - Bugs with NEEDINFO should be auto closed after 3 weeks with a comment
Bugs with NEEDINFO should be auto closed after 3 weeks with a comment
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-10 09:21 EDT by Gerwin Krist
Modified: 2013-06-23 22:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-18 18:41:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerwin Krist 2005-09-10 09:21:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b4) Gecko/20050908 Firefox/1.4

Description of problem:
Hi,

I would like to see bugs being auto-closed which are in "NEEDINFO" status and the ticket starter hasn't replied to it within 3 weeks. imho it's a waste of time for us all.

The ticket should be closed with the following texts or something like that:

"This report is being automatically closed after 3 weeks because the required information to resolve the alleged issue has not been provided. If you have the necessary information, please feel to reopen this report and provide us the details. Thank you!"

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
n/a

Additional info:
Comment 1 Rahul Sundaram 2005-09-10 09:31:47 EDT

Just a note that this is being requested for Fedora Triaging. Thanks
Comment 2 David Eisenstein 2006-01-31 22:46:04 EST
Noticed the discussion about this on the list at
http://www.redhat.com/archives/fedora-triage-list/2005-September/msg00000.html

Just wondering if this is going to be implemented in Bugzilla?
Comment 3 David Lawrence 2006-02-01 11:19:07 EST
I think this is a fine idea. The debate internally here has always been how long
is a good amount of time. If the Fedora triage community can agree on specific
amount of time, a canned response to add to the closed bug and the proper
resolution, I do not mind implementing this for the Fedora Core product only for
now. Other products can come into play later.
Comment 4 Rahul Sundaram 2006-02-02 00:00:30 EST


All of the requested information has already been provided in the original report.


Time: 3 weeks

Stock Response:

""This report is being automatically closed after 3 weeks because the required
information to resolve the alleged issue has not been provided by the user. If
you have the necessary information, please feel to reopen this report and
provide us the details. Thank you"
Comment 5 John DeDourek 2006-02-14 20:33:02 EST
If the original poster of a bug has "lost interest" and doesn't supply the
"NEEDINFO" info, but I am encountering the same bug, how should I proceed?
If I, not being the original reporter, supply "info" will it cancel the
pending closure, or will info only from the original poster do that?  If
the bug is closed, should I then file a duplicate with me as the reporter?
Comment 6 David Anderson 2006-02-15 05:30:39 EST
Three weeks is too short. People go on holiday, or are sick, for three weeks. 
I say, make it five at least. Some people are very good in filing bugs, and 
hence have very long lists of bugs in their collection. If a bug falls off the 
list due to this, they might not notice, and their work in filing the issue is 
wasted. 
Comment 7 Rahul Sundaram 2006-02-15 05:34:50 EST
(In reply to comment #5)
> If the original poster of a bug has "lost interest" and doesn't supply the
> "NEEDINFO" info, but I am encountering the same bug, how should I proceed?
> If I, not being the original reporter, supply "info" will it cancel the
> pending closure, or will info only from the original poster do that?  If
> the bug is closed, should I then file a duplicate with me as the reporter?

You can change the status or file a new bug report referencing the one being
closed. 

Comment 8 Rahul Sundaram 2006-02-15 05:39:14 EST
(In reply to comment #6)
> Three weeks is too short. People go on holiday, or are sick, for three weeks. 
> I say, make it five at least. Some people are very good in filing bugs, and 
> hence have very long lists of bugs in their collection. If a bug falls off the 
> list due to this, they might not notice, and their work in filing the issue is 
> wasted. 

When bugs are closed the reporter as well as everyone CC'ed on the bug report
will get a notification. The reporter can very well reopen the bug after the
person returns back from vacation. There is no point in cluttering bugzilla with
reports which have no progress. 
Comment 9 Jon Stanley 2008-01-07 23:40:43 EST
Two years later, I've found this bug :).  I am going to be at FUDcon this
weekend, where a policy will be decided.  What's the level of effort to get this
implemented?
Comment 10 Jon Stanley 2008-02-18 18:41:34 EST
We've decided that we don't want this.  Bugs in NEEDINFO will be subject to
manual review for Fedora.

Note You need to log in before you can comment on or make changes to this bug.